@echo off
if "%OS%"=="Windows_NT" setlocal
echo Using PROCESSOR_ARCHITECTURE=%PROCESSOR_ARCHITECTURE%
set ARCH=.
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" set ARCH=amd64
if "%PROCESSOR_ARCHITECTURE%"=="IA64" set ARCH=ia64

echo To uninstall call: "bin\windows\%ARCH%\solr-server //DS//solr-server-slave"

set OPERATION=update
sc query solr-server-slave > NUL
if ERRORLEVEL 1060 set OPERATION=install

@echo on
bin\windows\%ARCH%\solr-server %OPERATION% solr-server-slave --Description "Starts and stops Solr Slave (Port:8985)" --DisplayName "Solr Server Slave" --Classpath bin\solr-server.jar --StartMode jvm --StartClass com.epages.solrserver.SolrStart --StartMethod main --StartPath "%cd%" --StopMode  jvm --StopClass  com.epages.solrserver.SolrStart --StopMethod main ++StopParams stop --StopPath "%cd%" --JavaHome "%EPAGES_JAVA%" --Jvm "%EPAGES_JAVA%\jre\bin\server\jvm.dll" ++JvmOptions "-Dlogback.configurationFile=conf/logback-solr.xml;-XX:+PrintCommandLineFlags;-XX:+UseParallelOldGC;-XX:+PrintGCDetails;-XX:+PrintGCDateStamps;-Xloggc:logs/solr-server-slave_gc.log;-Dfile.encoding=UTF-8;-DSolrServer.slave=true;-DSolrServer.port=8985;-Dsolr.dir.prefix=slave_8985" --StdOutput auto --StdError auto --PidFile solr-server-slave.pid --LogPath logs --Startup manual